## ayatana-indicator-keyboard 24.7.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.13)
project (ayatana-indicator-keyboard VERSION "24.7.0" LANGUAGES C CXX)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

# Options
option(ENABLE_WERROR "Treat all build warnings as errors" OFF)
option(ENABLE_UBUNTU_ACCOUNTSSERVICE "Build with Ubuntu's fork of accountsservice" OFF)

set(CMAKE_BUILD_TYPE "Release")

if(ENABLE_WERROR)
    add_definitions("-Werror")
endif()

if(ENABLE_UBUNTU_ACCOUNTSSERVICE)
    add_compile_definitions(ENABLE_UBUNTU_ACCOUNTSSERVICE)
endif()

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    add_definitions("-Weverything")
else()
    add_definitions("-Wall")
endif()

# GNU standard installation directories
include (GNUInstallDirs)

# Gettext
set(GETTEXT_PACKAGE "ayatana-indicator-keyboard")
add_definitions (-DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}" -DLOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}")

# Check for prerequisites
find_package (PkgConfig REQUIRED)
include (CheckIncludeFile)
include (FindPkgConfig)
pkg_check_modules(SERVICE_DEPS REQUIRED glib-2.0>=2.36 gio-2.0>=2.36 libayatana-common>=0.9.9 accountsservice xkbcommon>=1.0.3 xkbregistry>=1.0.3)
pkg_check_modules(X11_DEPS REQUIRED x11>=1.6.5 libxklavier>=5.3)
include_directories (SYSTEM ${SERVICE_DEPS_INCLUDE_DIRS})

# custom targets
set (ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
add_custom_target (dist COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.gz WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
add_custom_target (cppcheck COMMAND cppcheck --enable=all -q --error-exitcode=2 --inline-suppr ${CMAKE_SOURCE_DIR}/src)

# Actual building
include_directories (${CMAKE_CURRENT_SOURCE_DIR}/include)
include_directories (${CMAKE_CURRENT_BINARY_DIR}/include)
add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(po)

# Display config info
message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "Build with Ubuntu's fork of accountsservice: ${ENABLE_UBUNTU_ACCOUNTSSERVICE}")
message(STATUS "Build with -Werror: ${ENABLE_WERROR}")

=== debian/changelog ===
ayatana-indicator-keyboard (24.7.0-2) unstable; urgency=medium

  * debian/rules:
    + Set ENABLE_UBUNTU_ACCOUNTSSERVICE=ON for builds against Ubuntu and
      derivatives.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 12 Jul 2024 16:23:18 +0200

ayatana-indicator-keyboard (24.7.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 10 Jul 2024 14:08:59 +0200

ayatana-indicator-keyboard (24.5.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add to R: matekbd-keyboard-display | gkbd-capplet.
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 22 May 2024 09:03:03 +0200

=== debian/control ===
Source: ayatana-indicator-keyboard
Section: misc
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Debian UBports Team <team+ubports@tracker.debian.org>,
Build-Depends: cmake,
               cmake-extras (>= 0.10),
               libayatana-common-dev (>= 0.9.3),
               libglib2.0-dev (>= 2.36),
               libx11-dev (>= 1.6.4),
               libxklavier-dev (>= 5.3),
               libxkbcommon-dev (>=1.0.3),
               libxkbregistry-dev (>=1.0.3),
               libaccountsservice-dev,
# for packaging
               debhelper-compat (= 13),
               dpkg-dev (>= 1.16.1.1),
               intltool,
# for systemd unit
               systemd-dev [linux-any],
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-keyboard
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-keyboard.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-keyboard

Package: ayatana-indicator-keyboard
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common,
Recommends: matekbd-keyboard-display | gkbd-capplet,
Description: Ayatana Indicator for managing keyboard layout and desktop language
 This Ayatana Indicator for keyboard layout configuration shows as an
 icon in the top panel of indicator aware destkop environments. It should
 appear on the very left (or the very right for RTL desktop layouts) and
 present itself to the user with a language letter symbol.
 .
 With the keyboard indicator, you can switch between keyboard layouts or
 languages, and it helps you identifying which layouts are currently in
 use.

## ayatana-indicator-keyboard 24.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required (VERSION 3.13)
-project (ayatana-indicator-keyboard VERSION "24.7.0" LANGUAGES C CXX)
+project (ayatana-indicator-keyboard VERSION "24.7.1" LANGUAGES C CXX)
 
 if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)

=== debian/changelog ===
ayatana-indicator-keyboard (24.7.1-1) unstable; urgency=medium

  * New upstream release.
    - Drop obsolete .pkla file. (Closes: #1093061).
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 23 Feb 2025 18:23:28 +0100

ayatana-indicator-keyboard (24.7.0-3) unstable; urgency=medium

  * debian/control:
    + Move from R: to S: matekbd-keyboard-display | gkbd-capplet. These should
      get pulled in by the desktop environments that use AyatanaIndicators.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Jan 2025 10:39:13 +0100

## ayatana-indicator-keyboard 24.7.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required (VERSION 3.13)
-project (ayatana-indicator-keyboard VERSION "24.7.1" LANGUAGES C CXX)
+project (ayatana-indicator-keyboard VERSION "24.7.2" LANGUAGES C CXX)
 
 if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
@@ -38,7 +38,7 @@
 find_package (PkgConfig REQUIRED)
 include (CheckIncludeFile)
 include (FindPkgConfig)
-pkg_check_modules(SERVICE_DEPS REQUIRED glib-2.0>=2.36 gio-2.0>=2.36 libayatana-common>=0.9.9 accountsservice xkbcommon>=1.0.3 xkbregistry>=1.0.3)
+pkg_check_modules(SERVICE_DEPS REQUIRED glib-2.0>=2.36 gio-2.0>=2.36 libayatana-common>=0.9.11 accountsservice xkbcommon>=1.0.3 xkbregistry>=1.0.3)
 pkg_check_modules(X11_DEPS REQUIRED x11>=1.6.5 libxklavier>=5.3)
 include_directories (SYSTEM ${SERVICE_DEPS_INCLUDE_DIRS})

=== data/CMakeLists.txt ===

# Systemd Unit File

pkg_check_modules(SYSTEMD systemd)

if (${SYSTEMD_FOUND})

    pkg_get_variable(SYSTEMD_USER_DIR systemd systemduserunitdir)
    message (STATUS "${SYSTEMD_USER_DIR} is the systemd user unit file install dir")
    set (SYSTEMD_USER_NAME "${CMAKE_PROJECT_NAME}.service")
    set (SYSTEMD_USER_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SYSTEMD_USER_NAME}")
    set (SYSTEMD_USER_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SYSTEMD_USER_NAME}.in")
    configure_file ("${SYSTEMD_USER_FILE_IN}" "${SYSTEMD_USER_FILE}")
    install (FILES "${SYSTEMD_USER_FILE}" DESTINATION "${SYSTEMD_USER_DIR}")

endif()

# XDG Autostart File

set (XDG_AUTOSTART_DIR "/etc/xdg/autostart")
message (STATUS "${XDG_AUTOSTART_DIR} is the DBus Service File install dir")
set (XDG_AUTOSTART_NAME "${CMAKE_PROJECT_NAME}.desktop")
set (XDG_AUTOSTART_FILE "${CMAKE_CURRENT_BINARY_DIR}/${XDG_AUTOSTART_NAME}")
set (XDG_AUTOSTART_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${XDG_AUTOSTART_NAME}.in")
configure_file ("${XDG_AUTOSTART_FILE_IN}" "${XDG_AUTOSTART_FILE}")
install (FILES "${XDG_AUTOSTART_FILE}" DESTINATION "${XDG_AUTOSTART_DIR}")

# Ayatana Indicators File

set (AYATANA_INDICATOR_DIR "${CMAKE_INSTALL_FULL_DATADIR}/ayatana/indicators")
message (STATUS "${AYATANA_INDICATOR_DIR} is the Ayatana Indicators install dir")
set (AYATANA_INDICATOR_NAME "org.ayatana.indicator.keyboard")
set (AYATANA_INDICATOR_FILE "${CMAKE_CURRENT_SOURCE_DIR}/${AYATANA_INDICATOR_NAME}")
install (FILES "${AYATANA_INDICATOR_FILE}" DESTINATION "${AYATANA_INDICATOR_DIR}")

# Icons

install (DIRECTORY "icons/" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/icons")

# org.ayatana.indicator.keyboard.AccountsService.xml

install(FILES org.ayatana.indicator.keyboard.AccountsService.xml DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/dbus-1/interfaces")
install(DIRECTORY DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/accountsservice/interfaces/")
install(CODE "message(STATUS \"Symlinking: \$ENV{DESTDIR}${CMAKE_INSTALL_FULL_DATADIR}/accountsservice/interfaces/org.ayatana.indicator.keyboard.AccountsService.xml\")")
install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink ../../dbus-1/interfaces/org.ayatana.indicator.keyboard.AccountsService.xml \$ENV{DESTDIR}${CMAKE_INSTALL_FULL_DATADIR}/accountsservice/interfaces/org.ayatana.indicator.keyboard.AccountsService.xml)")

# org.ayatana.indicator.keyboard.AccountsService.policy

install(FILES org.ayatana.indicator.keyboard.AccountsService.policy DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/polkit-1/actions")

# 50-org.ayatana.indicator.keyboard.AccountsService.rules

install (FILES 50-org.ayatana.indicator.keyboard.AccountsService.rules DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/polkit-1/rules.d")

# org.ayatana.indicator.keyboard.gschema.xml

find_package (GSettings REQUIRED)
add_schema ("org.ayatana.indicator.keyboard.gschema.xml")

=== debian/changelog ===
ayatana-indicator-keyboard (24.7.2-5) unstable; urgency=medium

  * debian/patches:
    + Update 0003_Separate-layout-and-settings-for-hardware-and-on-scr.patch.
      Fix regression, external hw layouts not being displayed anymore outside
      of Lomiri (e.g. in MATE).
    + Update patches (no-op changes) 0004 - 0007.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 Jul 2025 12:01:42 +0200

ayatana-indicator-keyboard (24.7.2-4) unstable; urgency=medium

  * debian/control:
    + Add to B-D: libudev-dev. Fix FTBFS of previous revision.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 Jul 2025 06:24:17 +0200

ayatana-indicator-keyboard (24.7.2-3) unstable; urgency=medium

  * debian/patches:
    + Add 0003_Separate-layout-and-settings-for-hardware-and-on-scr.patch,
      0004_src-keyboard-Remember-nLayout-and-nLayoutOSK-separat.patch,
      0005_src-keyboard-lomiri.c-For-OSK-layouts-update-enabled.patch and
      0006_src-service.c-Move-Show-Current-Layout-menuitem-clos.patch.
      Support configuring on-screen keyboard and external hardware keyboard(s)
      separately via keyboard indicator in Lomiri.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 21 Jul 2025 15:55:51 +0200

ayatana-indicator-keyboard (24.7.2-2) unstable; urgency=medium

  * debian/patches:
     + Add 0002-Fix-showing-current-layout-on-Lomiri.patch. Use tecla (like
       GNOME also does now) instead of gkbd-display-keyboard. Fixes showing
       the kbd layout in Lomiri.
  * debian/control:
    + Add to S: tecla.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 06 Jun 2025 16:18:39 +0200

ayatana-indicator-keyboard (24.7.2-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 02 Mar 2025 17:48:25 +0100

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                libxkbcommon-dev (>=1.0.3),
                libxkbregistry-dev (>=1.0.3),
                libaccountsservice-dev,
+               libudev-dev,
 # for packaging
                debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1.1),
@@ -31,7 +32,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ayatana-indicator-common,
-Recommends: matekbd-keyboard-display | gkbd-capplet,
+Suggests: matekbd-keyboard-display | tecla | gkbd-capplet,
 Description: Ayatana Indicator for managing keyboard layout and desktop language
  This Ayatana Indicator for keyboard layout configuration shows as an
  icon in the top panel of indicator aware destkop environments. It should

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_CMAKE_EXTRA_FLAGS = \
    -DENABLE_TESTS=ON \
    -DENABLE_COVERAGE=OFF \
    $(NULL)

ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
    DEB_CMAKE_EXTRA_FLAGS = "-DENABLE_UBUNTU_ACCOUNTSSERVICE=ON"
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)

override_dh_install:
	find debian/ayatana-indicator-keyboard -name \*.la -delete
	find debian/ayatana-indicator-keyboard -name \*.a -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
